// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: notification/notification.proto

package com.lalit.shopping.proto.model;

public final class Notification {
  private Notification() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistryLite registry) {
  }

  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
    registerAllExtensions(
        (com.google.protobuf.ExtensionRegistryLite) registry);
  }
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_NotificationMessage_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_NotificationMessage_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_NotificationMessage_PhoneNumber_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_NotificationMessage_PhoneNumber_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_NotificationMessage_Order_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_NotificationMessage_Order_fieldAccessorTable;
  static final com.google.protobuf.Descriptors.Descriptor
    internal_static_NotificationMessage_LineItem_descriptor;
  static final 
    com.google.protobuf.GeneratedMessageV3.FieldAccessorTable
      internal_static_NotificationMessage_LineItem_fieldAccessorTable;

  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static  com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n\037notification/notification.proto\"\262\003\n\023No" +
      "tificationMessage\022\021\n\tfirstName\030\001 \001(\t\022\020\n\010" +
      "lastName\030\002 \001(\t\022\024\n\014emailAddress\030\003 \001(\t\0226\n\014" +
      "phoneNumbers\030\005 \003(\0132 .NotificationMessage" +
      ".PhoneNumber\022)\n\005order\030\006 \001(\0132\032.Notificati" +
      "onMessage.Order\0324\n\013PhoneNumber\022\020\n\010areaCo" +
      "de\030\001 \001(\005\022\023\n\013phoneNumber\030\002 \001(\005\032r\n\005Order\022\017" +
      "\n\007orderId\030\001 \001(\t\022\022\n\ncustomerId\030\002 \001(\t\022\022\n\nt" +
      "otalPrice\030\003 \001(\001\0220\n\tlineitems\030\004 \003(\0132\035.Not" +
      "ificationMessage.LineItem\032S\n\010LineItem\022\021\n" +
      "\tproductId\030\001 \001(\t\022\023\n\013productName\030\002 \001(\t\022\r\n" +
      "\005price\030\003 \001(\001\022\020\n\010quantity\030\004 \001(\005B0\n\036com.la" +
      "lit.shopping.proto.modelB\014NotificationP\001" +
      "b\006proto3"
    };
    descriptor = com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        });
    internal_static_NotificationMessage_descriptor =
      getDescriptor().getMessageTypes().get(0);
    internal_static_NotificationMessage_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_NotificationMessage_descriptor,
        new java.lang.String[] { "FirstName", "LastName", "EmailAddress", "PhoneNumbers", "Order", });
    internal_static_NotificationMessage_PhoneNumber_descriptor =
      internal_static_NotificationMessage_descriptor.getNestedTypes().get(0);
    internal_static_NotificationMessage_PhoneNumber_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_NotificationMessage_PhoneNumber_descriptor,
        new java.lang.String[] { "AreaCode", "PhoneNumber", });
    internal_static_NotificationMessage_Order_descriptor =
      internal_static_NotificationMessage_descriptor.getNestedTypes().get(1);
    internal_static_NotificationMessage_Order_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_NotificationMessage_Order_descriptor,
        new java.lang.String[] { "OrderId", "CustomerId", "TotalPrice", "Lineitems", });
    internal_static_NotificationMessage_LineItem_descriptor =
      internal_static_NotificationMessage_descriptor.getNestedTypes().get(2);
    internal_static_NotificationMessage_LineItem_fieldAccessorTable = new
      com.google.protobuf.GeneratedMessageV3.FieldAccessorTable(
        internal_static_NotificationMessage_LineItem_descriptor,
        new java.lang.String[] { "ProductId", "ProductName", "Price", "Quantity", });
  }

  // @@protoc_insertion_point(outer_class_scope)
}
